Redmine - Defect #34357

Fix Capybara::Ambiguous: Ambiguous match, found 2 elements matching visible link or button
"eCookbook"

2020-12-01 22:43 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description
Running the system tests return the following errors:

Error:

QuickJumpTest#test_project_quick_jump:

Capybara: :Ambiguous: Ambiguous match, found 2 elements matching visible link or button "eCookbook"

within #<Capybara::Node::Element tag="div" path="/HTML/BODY[1]/DIV[1]/DIV[2]/DIV[1]/DIV[2]">
test/system/quick_jump_test.rb:34:in “block in test_project_quick_jump'
test/system/quick_jump_test.rb:32:in "test_project_quick_jump'

Error:
QuickJumpTest#test_project_quick_jump_should_jump_to_the_same_tab:
Capybara: :Ambiguous: Ambiguous match, found 2 elements matching visible link or button "eCookbook"
within #<Capybara::Node::Element tag="div" path="/HTML/BODY[1]/DIV[1]/DIV[2]/DIV[1]/DIV[2]">
test/system/quick_jump_test.rb:45:in “block in test_project_quick_jump_should_jump_to_the_same
_tab'
test/system/quick_jump_test.rb:43:in "test_project_quick_jump_should_jump_to_the_same_tab'

Those errors were been introduced by #32944.

Related issues:
Related to Redmine - Feature #32944: Always preserve the tree structure in th... Closed

Associated revisions

Revision 20533 - 2020-12-02 04:27 - Go MAEDA
Fix Capybara::Ambiguous: Ambiguous match, found 2 elements matching visible link or button "eCookbook" (#32944, #34357).

Patch by Marius BALTEANU.

History

#1 - 2020-12-01 23:06 - Marius BALTEANU

This issue reproduces only on Chrome headless.

#2 - 2020-12-02 04:26 - Go MAEDA

- Related to Feature #32944: Always preserve the tree structure in the project jump box added

#3 - 2020-12-02 04:28 - Go MAEDA
- Status changed from New to Closed
- Target version deleted (4.2.0)

- Resolution set to Fixed

Committed the fix as a part of #32944. Thank you.
